package edu.uoc.www.petercrab.Activities;

import android.content.Intent;
import android.os.Bundle;
import android.text.Html;
import android.webkit.WebView;
import android.widget.TextView;

import java.util.HashMap;

import edu.uoc.www.petercrab.Models.Content;
import edu.uoc.www.petercrab.Models.Point;
import edu.uoc.www.petercrab.R;

/**
 * Activity encarga de mostrar la pantalla de "duende encontrado"
 */
public class DetailActivity extends BaseActivity {

    private WebView content;
    private TextView title;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_detail);

        title   = findViewById(R.id.title);
        content = findViewById(R.id.contentHTML);

        Intent i = getIntent();

        /**
         * Recoge el punto pasado por el intent
         */
        Point point = (Point)i.getSerializableExtra("point");

        HashMap<String, Content> contents = point.getContent();

        /**
         * El contenido guardado en base de datos está en formato HTML.
         */
        String unencodedHtml = Html.fromHtml(contents.get(currentLanguage).getContent()).toString();
        title.setText(contents.get(currentLanguage).getTitle());
        content.loadDataWithBaseURL(null, unencodedHtml, "text/html", "utf-8", null);

    }
    @Override
    public void onBackPressed() {
        goToMain(getBaseContext());
    }
}
