package edu.uoc.www.petercrab.Activities;

import android.os.Bundle;
import android.support.annotation.NonNull;
import android.text.TextUtils;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ProgressBar;
import android.widget.TextView;

import com.google.android.gms.tasks.OnCompleteListener;
import com.google.android.gms.tasks.Task;
import com.google.firebase.auth.AuthResult;
import com.google.firebase.auth.FirebaseAuth;
import com.google.firebase.auth.FirebaseUser;

import edu.uoc.www.petercrab.R;


public class LoginActivity extends BaseActivity {

    private ProgressBar progressBar;
    private Button  loginButton;
    private EditText emailInput, passwordInput;
    private TextView registerLink;
    private FirebaseAuth mAuth;
    private FirebaseUser user;


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        //Esconder la barra de tareas.
        getSupportActionBar().hide();
        setContentView(R.layout.activity_login);
        mAuth = FirebaseAuth.getInstance();
        user = mAuth.getCurrentUser();

        if (user != null) {

            goToMain(LoginActivity.this);

        }

        progressBar = findViewById(R.id.progressBar);

        registerLink = findViewById(R.id.registerLink);
        loginButton    = findViewById(R.id.loginButton);

        emailInput    = findViewById(R.id.emailInput);
        passwordInput =  findViewById(R.id.passwordInput);

        loginButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {

                String email = emailInput.getText().toString().trim();
                String password = passwordInput.getText().toString().trim();
                login (email,password);

            }
        });

        registerLink.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {

                goToActivity(LoginActivity.this,RegisterActivity.class);

            }
        });

    }

    protected void login (String email, String password) {



        if (TextUtils.isEmpty(email) || TextUtils.isEmpty(password)) {

            showMessage(this,getString(R.string.error_email_pass_empty));
            return;
        }

        progressBar.setVisibility(View.VISIBLE);

        /**
         * Acceso a la aplicación usando Firebase Auth.
         */
        mAuth.signInWithEmailAndPassword(email, password)
                .addOnCompleteListener(this, new OnCompleteListener<AuthResult>() {
                    @Override
                    public void onComplete(@NonNull Task<AuthResult> task) {
                        if (task.isSuccessful()) {
                            // Sign in success, update UI with the signed-in user's information
                            user = mAuth.getCurrentUser();



                            goToMain(LoginActivity.this);

                        } else {
                            showMessage (getApplicationContext(),"" + getText(R.string.login_error));
                        }

                        progressBar.setVisibility(View.GONE);

                    }
                });

    }



}
