package edu.uoc.www.petercrab.Adapters;

import android.support.v7.widget.RecyclerView;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import edu.uoc.www.petercrab.Models.UserInfo;
import edu.uoc.www.petercrab.Fragments.RankingFragment.OnListFragmentInteractionListener;
import edu.uoc.www.petercrab.R;

import java.util.List;

/**
 * RecyclerViewAdapter para mostrar el listado de items.
 */
public class MyRankingRecyclerViewAdapter extends RecyclerView.Adapter<MyRankingRecyclerViewAdapter.ViewHolder> {

    private static final int TYPE_HEAD = 0;
    private static final int TYPE_LIST = 1;

    private final List<UserInfo> mValues;
    private final OnListFragmentInteractionListener mListener;

    public MyRankingRecyclerViewAdapter(List<UserInfo> items, OnListFragmentInteractionListener listener) {
        mValues = items;
        mListener = listener;
    }

    @Override
    public ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {

        if (viewType == TYPE_HEAD) {
            View view = LayoutInflater.from(parent.getContext())
                    .inflate(R.layout.fragment_ranking_header, parent, false);
            return new ViewHolder(view);
        }
        else {
            View view = LayoutInflater.from(parent.getContext())
                    .inflate(R.layout.fragment_ranking, parent, false);
            return new ViewHolder(view);
        }

    }

    @Override
    public void onBindViewHolder(final ViewHolder holder, int position) {

        if (holder.getItemViewType()!= TYPE_HEAD ) {
            position-=1; //Por la cabecera
            holder.mItem = mValues.get(position);
            holder.mIdView.setText("" + mValues.get(position).getScore());
            holder.mContentView.setText(mValues.get(position).getNickname());
        }

    }

    @Override
    public int getItemViewType(int position) {
        if (position==0)
            return TYPE_HEAD;
        else
            return TYPE_LIST;

        //return super.getItemViewType(position);
    }

    @Override
    public int getItemCount() {
        return mValues.size() + 1 ; //Por la cabecera
    }

    public class ViewHolder extends RecyclerView.ViewHolder {
        public final View mView;
        public final TextView mIdView;
        public final TextView mContentView;
        public UserInfo mItem;

        public ViewHolder(View view) {
            super(view);
            mView = view;
            mIdView = (TextView) view.findViewById(R.id.item_number);
            mContentView = (TextView) view.findViewById(R.id.content);
        }

        @Override
        public String toString() {
            return super.toString() + " '" + mContentView.getText() + "'";
        }


    }
}
