package edu.uoc.www.petercrab.Fragments;

import android.app.AlertDialog;
import android.app.Dialog;
import android.content.DialogInterface;
import android.os.Bundle;
import android.support.v4.app.DialogFragment;

import edu.uoc.www.petercrab.Activities.MainActivity;
import edu.uoc.www.petercrab.R;

/**
 * Fragmento que muestra el listado de idiomas.
 */
public class LanguageDialogFragment extends DialogFragment {
    @Override
    public Dialog onCreateDialog(Bundle savedInstanceState) {

        final String[] items = {(String) getText(R.string.spanish),
                                (String) getText(R.string.catalan),
                                (String) getText(R.string.english),
                                (String) getText(R.string.french)};

        AlertDialog.Builder builder =
                new AlertDialog.Builder(getActivity());

        builder.setTitle(getText(R.string.selection))
                .setItems(items, new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int item) {

                        String lang = null;

                        switch (item) {

                            case 0:
                                lang = "es";
                                break;
                            case 1:
                                lang = "ca";
                                break;
                            case 2:
                                lang = "en";
                                break;
                            case 3:
                                lang = "fr";
                                break;

                        }

                        ((MainActivity)getActivity()).setDefaultLanguage(lang);

                    }
                });

        return builder.create();
    }
}
