package edu.uoc.www.petercrab.Models;

import android.location.Location;

import java.io.Serializable;
import java.util.HashMap;

/**
 * Representación de un punto en el mapa
 */
public class Point implements Serializable {

    private float latitude;
    private float longitude;
    private HashMap<String,Content> content;
    private boolean visited = false;

    public HashMap<String, Content> getContent() {
        return content;
    }

    public void setContent(HashMap<String, Content> content) {
        this.content = content;
    }

    public float getLatitude() {
        return latitude;
    }

    public void setLatitude(float latitude) {
        this.latitude = latitude;
    }

    public float getLongitude() {
        return longitude;
    }

    public void setLongitude(float longitude) {
        this.longitude = longitude;
    }

    /**
     * Dada una latitud y una longitud, devuelve la localización
     * actual.
     * @param latitude
     * @param longitude
     * @return
     */
    public static Location getCurrentLocation (float latitude, float longitude) {

        Location location = null;

        location = new Location("");
        location.setLatitude(latitude);
        location.setLongitude(longitude);

        return location;

    }

    public boolean isVisited() {
        return visited;
    }

    public void setVisited(boolean visited) {
        this.visited = visited;
    }



}
