package edu.uoc.www.petercrab.Models;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

/**
 * Información relativa al usuario
 * almacenada en base de datos.
 */
public class UserInfo implements Serializable {

    private String nickname;
    private long score;
    private List<Integer> visited_points = new ArrayList<Integer>();

    /**
     * Firebase no ordena de forma descendente, por lo
     * que uso está variable parar el ranking.
     * Es el valor del score en negativo, por ejemplo,
     * si tiene score = 30, order = -30.
     */
    private long order = 0 ;

    /**
     * Campo para buscar si un punto ha sido visitado o no.
     */
    private Set<Integer> search = null;


    public long getOrder() {
        return order;
    }

    public void setOrder(long order) {
        this.order = order;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public long getScore() {
        return score;
    }

    public void setScore(long score) {
        this.score = score;
    }

    public List<Integer>  getVisited_points() {
        return visited_points;
    }

    public void setVisited_points(List<Integer>  visited_points) {
        this.visited_points = visited_points;
    }

    public boolean hasVisited (Integer i) {

        if (search == null) {
            search = new HashSet<Integer>(visited_points);
        }

        return search.contains(i);

    }

    public void visitPoint (Integer id) {

        this.visited_points.add(id);

    }
    public void incScore (Integer i) {

        this.score += i;

    }
}
