package edu.uoc.www.petercrab.Utils;

import android.app.Activity;
import android.content.Context;
import android.content.SharedPreferences;

import com.google.gson.Gson;
import com.google.gson.reflect.TypeToken;

import java.lang.reflect.Type;
import java.util.List;

import edu.uoc.www.petercrab.Models.City;
import edu.uoc.www.petercrab.Models.Point;

/**
 * Clase utilidad para recoger los datos del SharedPreferences.
 */
public class SharedPreferencesUtil {

    private static final String NAME = "PeterPreferences" ;
    private static final String POINTS_JSON = "pointsJSON" ;
    private static final String DEFAULT_LANGUAGE =  "default_language" ;
    private static final String LAST_UPDATE =  "last_update" ;

    private SharedPreferences prefs;

    public SharedPreferencesUtil(Activity activity) {

         prefs = activity.getSharedPreferences(NAME,Context.MODE_PRIVATE);

    }


    public void setPointsFromShared () {

        Gson gson = new Gson();

        Type listType = new TypeToken<List<Point>>() {
        }.getType();

        String json = prefs.getString(POINTS_JSON,null);

        City.points = gson.fromJson(json, listType);

    }

    public void setPointsInShared () {

        SharedPreferences.Editor editor = prefs.edit();

        Gson gson = new Gson();
        String s = gson.toJson(City.points);
        editor.putString("pointsJSON",s);
        editor.commit();

    }

    public String getDefaultLanguage () {

        return prefs.getString("default_language",null);

    }

    public void setDefaultLanguage (String language) {

        SharedPreferences.Editor editor = prefs.edit();
        editor.putString(DEFAULT_LANGUAGE,language);
        editor.commit();

    }

    public String getLastUpdate () {
        return prefs.getString(LAST_UPDATE,null);
    }

    public void setLastUpdate (String update) {

        SharedPreferences.Editor editor = prefs.edit();
        editor.putString(LAST_UPDATE,update);
        editor.commit();

    }

}
